class UnixStatResult:
    def path(self) -> str: ...

    def checksum(self) -> str: ...

    def owner(self) -> str: ...

    def group(self) -> str: ...

    def mode(self) -> str: ...

    def ctime(self) -> str: ...


class UnixHost:
    def add_apt_repo(self, repo: str, path: str) -> None: ...

    def template(
        self,
        src: str,
        dest: str,
        owner: str,
        group: str,
        mode: str
    ) -> None: ...

    def stat(self, path: str) -> UnixStatResult: ...
